"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.extendStoreStatusOptions = void 0;
const path_1 = __importDefault(require("path"));
const normalize_registries_1 = require("@pnpm/normalize-registries");
const defaults = async (opts) => {
    const dir = opts.dir ?? process.cwd();
    const lockfileDir = opts.lockfileDir ?? dir;
    return {
        binsDir: path_1.default.join(dir, 'node_modules', '.bin'),
        dir,
        force: false,
        forceSharedLockfile: false,
        lockfileDir,
        nodeLinker: 'isolated',
        registries: normalize_registries_1.DEFAULT_REGISTRIES,
        shamefullyHoist: false,
        storeDir: opts.storeDir,
        useLockfile: true,
    };
};
async function extendStoreStatusOptions(opts) {
    if (opts) {
        for (const key in opts) {
            if (opts[key] === undefined) {
                delete opts[key];
            }
        }
    }
    const defaultOpts = await defaults(opts);
    const extendedOpts = { ...defaultOpts, ...opts, storeDir: defaultOpts.storeDir };
    extendedOpts.registries = (0, normalize_registries_1.normalizeRegistries)(extendedOpts.registries);
    return extendedOpts;
}
exports.extendStoreStatusOptions = extendStoreStatusOptions;
//# sourceMappingURL=extendStoreStatusOptions.js.map